---
title: Il self-hosting
template: docs
taxonomy:
    category: docs
routes:
  default: '/selfhosting'
---

Il self-hosting permette di avere e di amministrare un tuo server, generalmente in proprio, per hostare i propri dati personali e servizi piuttosto che ospitarli presso terzi. Per esempio, è possibile gestire il proprio blog per farlo "vivere" su una macchina sotto il tuo controllo, piuttosto che installarlo su un computer di qualcun altro (a.k.a. il Cloud) in cambio di soldi, di pubblicità o di dati personali.

Il self-hosting implica di avere a disposizione un server. Un server è un computer che è destinato ad essere accessibile in rete in modo permanente, e generalmente non ha un desktop o una tastiera perché è amministrato a distanza. Al contrario di quello che si crede, i server non sono necessariamente delle macchine enormi ed estremamente potenti: oggi una piccola scheda ARM a ~30 € è sufficiente per il self-hosting.

Praticare il self-hosting non rende il "tuo internet" più sicuro e non fornisce un sufficiente anonimato. L'obiettivo è generalmente quello dell'autonomia e del controllo dei propri servizi e dei propri dati, che implica anche l'esserne responsabili.

## Perché fare self-hosting?

- **Credi in un internet libero, aperto e decentralizzato.** In un internet centralizzato, le aziende private e i governi possono controllare, analizzare e influenzare le persone partendo da come possono interagire gli uni con gli altri, fino ad arrivare a filtrare i contenuti. YunoHost è sviluppato da una comunità che crede in un internet aperto e decentralizzato. Speriamo che anche tu la pensi allo stesso modo!

- **Vuoi avere il controllo dei tuoi dati e dei servizi.** Le tue immagini, i tuoi messaggi di chat, la tua cronologia di navigazione, e i testi che scrivi per la scuola non hanno niente che fare con il computer di qualcun altro (a.k.a. il Cloud). Questi dati fanno parte della tua vita privata, ma anche quella della tua famiglia, dei tuoi amici, ecc. Questi dati dovrebbero essere gestiti da *te*, e non per da una qualunque azienda americana che cerca di analizzare i tuoi dati per rivendere i risultati.

- **Vuoi capire come funzionano i computer e Internet.** Operare sul proprio server è un buon modo per imparare i meccanismi alla base del cuore di un sistema operativo (OS) e di Internet. Dovrai probabilmente far ricorso alla linea di comando e ai meccanismi di configurazione delle risorse e i DNS.

- **Vuoi esplorare nuove possibilità e personalizzare il tuo spazio.** Hai mai sognato di avere un tuo server Minecrat per i tuoi amici, o un client persistente IRC o XMPP? Con il tuo server, puoi installare manualmente e far girare qualsiasi programma e personalizzare ogni servizio.

## Perché *non* fare self-hosting?

- **Il self-hosting richiede lavoro e pazienza.** Fare self-hosting è come avere un proprio giardino da potare: richiede lavoro e pazienza. Anche se YunoHost cerca di fare tutto il lavoro più complicato per te, sarà necessario lo stesso ritagliare tempo per imparare e configurare qualche dettaglio perché la tua installazione funzioni correttamente. Dovrai anche gestire qualche lavoro di manutenzione (come gli aggiornamenti) di tanto in tanto, e chiedere aiuto se qualcosa non funziona correttamente.

- **Con grandi server derivano grandi responsabilità.** Gestire un server implica l'essere responsabile dei dati che ospiti: nessuno potrà recuperare i dati al tuo posto se li perderai. YunoHost offre funzionalità di salvataggio che è raccomandato utilizzare per memorizzare le configurazioni e i dati importanti. Devi tenere controllate le raccomandazioni e le novità riguardo la sicurezza perché il tuo server o i tuoi dati non vengano compromessi.

- **La qualità e le performances probabilmente non saranno le stesse dei servizi premium.** YunoHost (e la maggior parte delle applicazioni che sono predisposte) sono programmi liberi e open-source, sviluppati da comunità di volontari. Non c'è la garanzia assoluta che i programmi funzionino in tutte le possibili situazioni. Le performance del tuo server self-hosting sono legate anche al processore, alla memoria RAM e alla connessione internet.


