---
title: WriteFreely
template: docs
taxonomy:
    category: docs, apps
routes:
  default: '/app_writefreely'
---

![WriteFreely's logo](image://writefreely-logo.png?height=100)


[![Install WriteFreely with YunoHost](https://install-app.yunohost.org/install-with-yunohost.png)](https://install-app.yunohost.org/?app=writefreely) 
[![Integration level](https://dash.yunohost.org/integration/writefreely.svg)](https://dash.yunohost.org/appci/app/writefreely)


### Index

- [Features](#features)
- [Important information](#important-information)
- [Useful links](#useful-links)

**WriteFreely** is a clean, minimalist publishing platform made for writers. Start a blog, share knowledge within your organization, or build a community around the shared act of writing.

## Features:
### Made for writing

Built on a plain, auto-saving editor, WriteFreely gives you a distraction-free writing environment. Once published, your words are front and center, and easy to read.

### A connected community

Start writing together, publicly or privately. Connect with other communities, whether running WriteFreely, [Plume](https://yunohost.org/en/app_plume), or other ActivityPub-powered software. And bring members on board from your existing platforms, thanks to our OAuth 2.0 support.

### Intuitive organization

Categorize articles [with hashtags](https://writefreely.org/docs/latest/writer/hashtags), and create static pages from normal posts by [_pinning_ them](https://writefreely.org/docs/latest/writer/static) to your blog. Create draft posts and publish to multiple blogs from one account.

### International

Blog elements are localized in 20+ languages, and WriteFreely includes first-class support for non-Latin and right-to-left (RTL) script languages.

### Private by default

WriteFreely collects minimal data, and never publicizes more than a writer consents to. Writers can seamlessly create multiple blogs from a single account for different pen names or purposes without publicly revealing their association.



## Important information:

* **WriteFreely** require a dedicated **root domain**, eg. writefreely.domain.tld
* i386 architectures not supported
* No LDAP and no HTTP auth supported

* If User Mode is configured Multiple users, the app be used by multiple users
* Additionals parameters can be configured in Settings / Admin settings.

## Useful links

* Official app website: [https://writefreely.org](https://writefreely.org)
* Official user documentation: [https://writefreely.org/start](https://writefreely.org/start)
* Upstream app code repository: [https://github.com/writeas/writefreely](https://github.com/writeas/writefreely)
* Application software repository: [https://github.com/YunoHost-Apps/writefreely_ynh](https://github.com/YunoHost-Apps/writefreely_ynh)
* Report a bug: [https://github.com/YunoHost-Apps/writefreely_ynh/issues](https://github.com/YunoHost-Apps/writefreely_ynh/issues)
